### Method

# Ggit Submodule get_index_id

#### Declaration [src]

    GgitOId*
    ggit_submodule_get_index_id (
      GgitSubmodule* submodule
    )

#### Description [src]

Gets the OID for the submodule in the index or `NULL` if there is no index.

#### Return value

Type: `GgitOId`

The OID for the submodule in the index or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.